import { Provider } from '@angular/core';
import type { ManagerOptions, SocketOptions } from 'socket.io-client';
export declare function provideSocketIo(...providers: Provider[]): Provider[];
export declare function withSocketIoUrl(url: string): Provider;
export declare function withSocketIoNamespace(namespace: string): Provider;
export declare function withSocketIoOptions(options: Partial<ManagerOptions & SocketOptions>): Provider;
export declare function withDynamicSocketIoUrl(key?: string): Provider;
export declare function withDynamicSocketIoNamespace(key?: string): Provider;
export declare function withDynamicSocketIoOptions(key?: string): Provider;
